summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/install.sh b/install.sh
index d62ffa3e..66a9f324 100755
--- a/install.sh
+++ b/install.sh
@@ -1,16 +1,20 @@
 #!/bin/sh
 set -e -u
 
-any='gnupg htop neovim sl the_silver_searcher tree'
+any='gnupg htop mksh neovim sl the_silver_searcher tree'
 brew="$any ddate git openssh"
-pkg="$any curl ddate sudo zsh"
-pacman="$any base-devel ctags gdb openssh zsh"
+pkg="$any curl ddate sudo"
+pacman="$any base-devel ctags gdb openssh"
 
 homebrew='https://raw.githubusercontent.com/Homebrew/install/master/install'
 if [ "$(uname)" = 'Darwin' ]; then
 	xcode-select --install || true
 	[ -f /usr/local/bin/brew ] || ruby -e "$(curl -fsSL "$homebrew")"
-	exec brew install $brew
+	brew install $brew || true
+	if ! grep -q 'mksh' /etc/shells; then
+		echo '/usr/local/bin/mksh' | sudo tee -a /etc/shells > /dev/null
+	fi
+	exit
 fi
 
 [ -f /usr/local/sbin/pkg ] && exec pkg install $pkg